package org.springblade.third.iotdevice.feign;

import org.springblade.core.tool.api.R;
import org.springblade.device.entity.IotDevice;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.List;

/**
 * @author lidexi
 * @date 2021/6/3 9:36
 */
@Component
public class PerceptionIotDeviceClientFallback implements IPerceptionIotDeviceClient {
	@Override
	public R auth(String appId) {
		return R.fail("fail");
	}

	@Override
	public R createDevice(IotDevice iotDevice) {
		return R.fail("fail");
	}

	@Override
	public R deleteDevice(IotDevice iotDevice) {
		return R.fail("fail");
	}

	@Override
	public R queryDevice() {
		return R.fail("fail");
	}

	@Override
	public R<List<IotDevice>> queryDeviceList(String appId,Integer page) {
		return R.data(new ArrayList<>());
	}


	@Override
	public R updateDevice() {
		return R.fail("fail");
	}

	@Override
	public R queryAepList(String appId) {
		return R.fail("fail");
	}


}
